{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}

{* <!-- Available soon... --> *}
<p>Bientôt disponible :-] !</p>

<!-- Aknowledgement ----------------------------------------------------------
| A lot of below code has simply been copied-pasted from file cat_perm.tpl . |
| Many thanks to people who wrote it !                                       |
----------------------------------------------------------------------------->

{* <!-- Duplication configuration parameters --> *}
<form action = "" method = "post" class = "titrePage" name = "ec_duplic_conf">
  <fieldset>
    <legend>{'ec_duplication_config'|@translate}</legend>
    <table>
      <tr>
        <td>
          <span style = "font-weight:bold;">{'ec_duplication_allowance'|@translate}&nbsp;&nbsp;</span>
        </td>
        <td>
          <label for = "ec_dup_conf_none_id">
            <input type = "radio" name = "ec_dup_conf[]" value = "none" id = "ec_dup_conf_none_id" />
            {'ec_dup_allowance_none'|@translate}
          </label><br>
          <label for = "ec_dup_conf_group_id">
            <input type = "radio" name = "ec_dup_conf[]" value = "group" id = "ec_dup_conf_group_id" />
            {'ec_dup_allowance_group'|@translate}
          </label><br>
          <label for = "ec_dup_conf_all_id">
            <input type = "radio" name = "ec_dup_conf[]" value = "all" id = "ec_dup_conf_all_id" />
            {'ec_dup_allowance_all'|@translate}
          </label>
        </td>
      </tr>
    </table>
    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'ec_dup_conf_sbmt_lbl'|@translate}" />
  </fieldset>
</form>

{* <!-- Duplication settings by groups / types / user ids --> *}
<form action = "" method = "post" name = "ec_duplic_set" id="categoryPermissions">
  
  <h4>{'Groups'|@translate}</h4>
  
  <fieldset>
    <legend>{'ec_duplic_ok'|@translate}</legend>
    <ul>
      {foreach from=$groups_granted_ids item=id}
      <li><label><input type = "checkbox" name = "deny_groups[]" value = "{$id}" /> {$all_groups[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'ec_dup_grp_ok_sbmt_lbl'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'ec_duplic_nok'|@translate}</legend>
    <ul>
      {foreach from=$groups_denied_ids item=id}
      <li><label><input type = "checkbox" name = "grant_groups[]" value = "{$id}"> {$all_groups[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'ec_dup_grp_nok_sbmt_lbl'|@translate}" />
  </fieldset>
  
  <h4>{'ec_dup_types'|@translate}</h4>
  
  <fieldset>
    <legend>{'ec_duplic_ok'|@translate}</legend>
    <ul>
      {if $ec_gen_granted}
      <li><label><input type = "checkbox" name = "deny_generic" {* id = "ec_dup_types_generic_nok_id" *} /> {'user_status_generic'|@translate}</label></li>
      <br />
      {/if}
      {foreach from=$types_granted_ids item=id}
        <li><label><input type = "checkbox" name = "deny_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'ec_dup_typ_sbmt_nok_lbl'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'ec_duplic_nok'|@translate}</legend>
    <ul>
      {if !$ec_gen_granted}
      <li><label><input type = "checkbox" name = "grant_generic" {* id = "ec_dup_types_generic_ok_id" *} /> {'user_status_generic'|@translate}</label></li>
      <br />
      {/if}
      {foreach from=$types_denied_ids item=id}
        <li><label><input type = "checkbox" name = "grant_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'ec_dup_typ_sbmt_ok_lbl'|@translate}" />
  </fieldset>
  
  <h4>{'Users'|@translate}</h4>
  
  <fieldset>
    <legend>{'ec_duplic_ok'|@translate}</legend>
    <ul>
      {foreach from=$users_granted_direct_ids item=id}
      <li><label><input type = "checkbox" name = "deny_users[]" value = "{$id}" /> {$all_users[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'ec_dup_usr_ok_sbmt_lbl'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'ec_duplic_ok_groups'|@translate}</legend>
    {if isset($user_granted_indirects) }
    <ul>
      {foreach from=$user_granted_indirects item=user_group}
      <li>{$user_group.USER} ({$user_group.GROUP})</li>
      {/foreach}
    </ul>
    {/if}
  </fieldset>
  
  <fieldset>
    <legend>{'ec_duplic_nok'|@translate}</legend>
    <ul>
      {foreach from=$users_denied_ids item=id}
      <li><label><input type = "checkbox" name = "grant_users[]" value = "{$id}"> {$all_users[$id]}</label></li>
      {/foreach}
    </ul>
    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'ec_dup_usr_nok_sbmt_lbl'|@translate}" />
  </fieldset>
  
</form>




{* <!-- JavaScript functions --> *}
{* <!--
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
<script type = "text/javascript"><!--
  ec_JS_message['ec_gen_user_act_miss'] = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_cat_miss']      = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_new_pwd_gen']       = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
  ec_JS_message['ec_up_code_lbl_home']  = "{'ec_up_code_lbl_home'|@translate}";
  ec_init();
//--></script>
--> *}

{include file='../../../plugins/event_cats/admin/template/footer.inc.tpl'}

{* <!--
--> *}

